{
  pkgs, buildEnv, lib, fetchFromGitHub, rustPlatform,
  sqlcipher, ...
}:

let
  host = 
    rustPlatform.buildRustPackage rec {
      pname = "radical-native";
      version = "0.1.10";

      buildInputs = [ sqlcipher ];

      src = fetchFromGitHub {
        owner = "stoically";
        repo = pname;
        rev = "v0.1beta10";
        sha256 = "1gd1k9my7qp2gp8k149ga2dcw14yxxb0ld6j3856wz5a2yr4izi2";
      };

      cargoSha256 = "15pff192zyhs2yhrdy9cpxrfh85v7206s91jgz5c1nskf5w1yxyh";
    };

  manifest = pkgs.writeTextFile {
    name = "radical.native.json";
    destination = "/lib/mozilla/native-messaging-hosts/radical.native.json";
    text = ''
      {
        "name": "radical.native",
        "description": "Radical Native",
        "path": "${host}/bin/radical-native",
        "type": "stdio",
        "allowed_extensions": [ "@radical-native" ]
      }
    '';
  };
in
buildEnv {
  name = "radical-nativeFull";
  paths = [ host manifest ];
}
